%define major		10
%define oname		%{name}

%define libname		%mklibname dvbpsi %{major}
%define develname	%mklibname dvbpsi -d

Summary:	A library for decoding and generating MPEG 2 and DVB PSI sections
Name:		libdvbpsi
Version:	1.3.0
Release:	%mkrel 1
License:	LGPLv2+
URL:		http://www.videolan.org/libdvbpsi/
Group:		System/Libraries
Source:		http://www.videolan.org/pub/videolan/libdvbpsi/%{version}/%{oname}-%{version}.tar.bz2
Patch0:		libdvbpsi-1.3.0-gcc5-fixes.patch

%description
libdvbpsi is a simple library designed for decoding and generating
MPEG 2 TS and DVB PSI tables. The important features are:
 * PAT decoder and generator.
 * PMT decoder and generator.

%package -n	%{libname}
Summary:	A library for decoding and generating MPEG 2 and DVB PSI sections
Group:		System/Libraries
Provides:	%{name}

%description -n	%{libname}
libdvbpsi is a simple library designed for decoding and generating
MPEG 2 TS and DVB PSI tables. The important features are:
 * PAT decoder and generator.
 * PMT decoder and generator.

%package -n	%{develname}
Summary:	Development tools for programs which will use the libdvbpsi library
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes:	%mklibname -d dvbpsi 4

%description -n	%{develname}
The %{name}-devel package includes the header files and static libraries
necessary for developing programs which will manipulate MPEG 2 and DVB PSI
information using the %{name} library.

If you are going to develop programs which will manipulate MPEG 2 and DVB PSI
information you should install %{name}-devel.  You'll also need to have
the %{name} package installed.


%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

%build
%configure2_5x \
	--enable-release \
	--disable-static
%make 

%install
%make_install

# don't ship .la
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc AUTHORS README COPYING ChangeLog
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc COPYING
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sun Jan 03 2016 luigiwalser <luigiwalser> 1.3.0-1.mga6
+ Revision: 918797
- 1.3.0
- rediff gcc5 patch
- library major is now 10

* Mon Nov 09 2015 daviddavid <daviddavid> 1.2.0-4.mga6
+ Revision: 899875
- add patch to fix build with gcc5

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-3.mga5
+ Revision: 750732
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-2.mga5
+ Revision: 681428
- Mageia 5 Mass Rebuild

* Thu Apr 17 2014 luigiwalser <luigiwalser> 1.2.0-1.mga5
+ Revision: 615336
- 1.2.0

* Tue Nov 12 2013 luigiwalser <luigiwalser> 1.1.2-1.mga4
+ Revision: 550830
- 1.1.2

* Mon Oct 21 2013 umeabot <umeabot> 1.1.1-2.mga4
+ Revision: 538875
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 luigiwalser <luigiwalser> 1.1.1-1.mga4
+ Revision: 490654
- 1.1.1

* Wed Aug 28 2013 fwang <fwang> 1.1.0-1.mga4
+ Revision: 472519
- new version 1.1.0

* Sat Jan 12 2013 umeabot <umeabot> 0.2.2-2.mga3
+ Revision: 357024
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 04 2011 fwang <fwang> 0.2.2-1.mga2
+ Revision: 162615
- new version 0.2.2

* Thu Sep 08 2011 tv <tv> 0.2.1-1.mga2
+ Revision: 141223
- new release

* Thu Jul 14 2011 fwang <fwang> 0.2.0-1.mga2
+ Revision: 123985
- new version 0.2.0

* Wed Jan 26 2011 ahmad <ahmad> 0.1.7-2.mga1
+ Revision: 40942
- don't ship .a, .la
- drop old/unneeded scriptlets
- imported package libdvbpsi

